# class DOMTreeView | * This program is free software; you can redistribute it and/or modify * it under the terms of the GNU General Public License as published by * the Free Software Foundation; either version 2 of the License, or * (at your option) any later version. More...
Definition | `#include <domtreeview.h>`
Inherits | KListView (kdeui) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- DOMTreeView (QWidget *parent, KHTMLPart *part, const char * name = 0)
- ~DOMTreeView ()
- void recursive (const DOM::Node &pNode, const DOM::Node &node)

#### Public Slots

- void showTree (const DOM::Node &pNode)

#### Signals

- void sigNodeClicked (const DOM::Node &)

#### Protected Slots

- void slotItemClicked (QListViewItem *)

## Detailed Description

* This program is free software; you can redistribute it and/or modify * it under the terms of the GNU General Public License as published by * the Free Software Foundation; either version 2 of the License, or * (at your option) any later version. * * *************************************************************************

DOMTreeView (QWidget *parent, KHTMLPart *part, const char * name = 0) | ### DOMTreeView

~DOMTreeView () | ### ~DOMTreeView

void recursive (const DOM::Node &pNode, const DOM::Node &node) | ### recursive

void sigNodeClicked (const DOM::Node &) | ### sigNodeClicked

[signal]

void showTree (const DOM::Node &pNode) | ### showTree

[slot]

void slotItemClicked (QListViewItem *) | ### slotItemClicked

[protected slots slot]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:44:28 2001, using kdoc 2.0a53.